## hdmi2usb-fx2-firmware 0.0.0~git20151018

=== lib/Makefile ===
# Copyright (C) 2009 Ubixum, Inc. 
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

SHELL := /bin/bash

AS8051?=sdas8051
SOURCES = serial.c i2c.c delay.c setupdat.c gpif.c eputils.c $(wildcard interrupts/*.c)
FX2_OBJS = $(patsubst %.c,%.rel, $(SOURCES)) usbav.rel int4av.rel
INCLUDES = -I../include
SDCC = sdcc -mmcs51 $(SDCCFLAGS)
LIBS = fx2.lib

all: $(LIBS)

$(LIBS): $(FX2_OBJS)
	sdcclib fx2.lib $?

usbav.rel: usbav.a51
	$(AS8051) -logs usbav.a51

int4av.rel: int4av.a51
	$(AS8051) -logs int4av.a51

%.rel: %.c
	$(SDCC) $(INCLUDES) -c $< -o $@

clean:
	rm -f *.{asm,ihx,lnk,lst,map,mem,rel,rst,sym,adb,cdb,lib}
	rm -f interrupts/*.{asm,ihx,lnk,lst,map,mem,rel,rst,sym,adb,dcb,lib}

=== examples/cdc/Makefile ===
DIRS=to-uart
     
.PHONY: dirs $(DIRS) clean
     
dirs: $(DIRS)
clean: $(DIRS)
     
$(DIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== examples/cdc/to-uart/Makefile ===
FX2LIBDIR=../../../
BASENAME = cdc-acm-to-uart
SOURCES=to-uart.c ../common/cdc.c
DEPS=../common/cdc.h ../common/cdc-config.h
INCLUDES=../common
A51_SOURCES=../common/dscr.a51
PID=0x1004

include $(FX2LIBDIR)lib/fx2.mk

=== debian/changelog ===
hdmi2usb-fx2-firmware (0.0.0~git20151018-1) unstable; urgency=low

  * Initial upload. (Closes: #796769)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 Nov 2016 23:35:19 -0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

VER=$(shell dpkg-parsechangelog | sed -rne 's/^Version: (.+)-.*/\1/p')
get-packaged-orig-source:
	git clone https://github.com/mithro/fx2lib -b cdc-usb-serialno-from-eeprom
	set -xe; \
		GIT_DATE=$$(dpkg-parsechangelog | sed -rne 's/^Version: .*\~git(....)(..)(..)-.*/\1-\2-\3 00:00:00 UTC/p'); \
		cd fx2lib; \
		GIT_COMMIT=$$(git rev-list -n1 --until="$$GIT_DATE" cdc-usb-serialno-from-eeprom); \
		git archive $$GIT_COMMIT --prefix=hdmi2usb-fx2-firmware_$(VER).orig/ \
			-o ../hdmi2usb-fx2-firmware_$(VER).orig.tar
	xz -f hdmi2usb-fx2-firmware_$(VER).orig.tar
	rm -rf fx2lib

## hdmi2usb-fx2-firmware 0.0.0~git20151225

=== Makefile ===


VER=devel
TAG=HEAD

.PHONY: all docs

all:
	make -C lib
	make -C examples

clean:
	make -C lib clean
	make -C examples clean

docs:
	doxygen docs/docs.conf
	make -C docs/intro

dist: all docs
	mkdir -p build	
	git archive --prefix=fx2lib/ $(TAG) > build/fx2-$(VER).tar
	tar -C .. -rf build/fx2-$(VER).tar \
		fx2lib/docs/html \
		fx2lib/lib/fx2.lib \
		fx2lib/docs/intro/intro.pdf
	cat build/fx2-$(VER).tar | gzip > build/fx2-$(VER).tgz

=== examples/Makefile ===
DIRS=	bulkloop cdc debugdevice debugdevice_full_duplex eeprom i2c lights reset serial timers usbmon_c

.PHONY: dirs $(DIRS) clean
     
dirs: $(DIRS)
clean: $(DIRS)
     
$(DIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== fw/Makefile ===
# Copyright (C) 2010 Ubixum, Inc. 
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA



# change location of fx2libdir if needed
SOURCES=fw.c device.c
A51_SOURCES=dscr.a51
BASENAME=firmware


include ../lib/fx2.mk

=== lib/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 AS8051?=sdas8051
 SOURCES = serial.c i2c.c delay.c setupdat.c gpif.c eputils.c $(wildcard interrupts/*.c)
-FX2_OBJS = $(patsubst %.c,%.rel, $(SOURCES)) usbav.rel int4av.rel
+FX2_OBJS = $(patsubst %.c,%.rel, $(SOURCES)) usbav.rel
 INCLUDES = -I../include
 SDCC = sdcc -mmcs51 $(SDCCFLAGS)
 LIBS = fx2.lib
@@ -31,9 +31,6 @@
 usbav.rel: usbav.a51
 	$(AS8051) -logs usbav.a51
 
-int4av.rel: int4av.a51
-	$(AS8051) -logs int4av.a51
-
 %.rel: %.c
 	$(SDCC) $(INCLUDES) -c $< -o $@

=== docs/intro/Makefile ===

.PHONY: pdf html


pdf: intro.pdf
intro.pdf: intro.tex
	rubber -d intro

html: intro.tex 
	mkdir -p html
	latex2html -dir html intro.tex

=== examples/bulkloop/Makefile ===
FX2LIBDIR=../../
BASENAME = bulkloop
SOURCES=bulkloop.c
A51_SOURCES=dscr.a51
PID=0x1004

include $(FX2LIBDIR)lib/fx2.mk


test: test.cpp
	g++ -o test test.cpp -lusb-1.0

=== examples/cdc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-DIRS=to-uart
+DIRS=loopback to-uart
      
 .PHONY: dirs $(DIRS) clean

=== examples/debugdevice/Makefile ===
FX2LIBDIR=../../
BASENAME = debugdev
SOURCES=debugdev.c
A51_SOURCES=dscr.a51
PID=0x1004

include $(FX2LIBDIR)lib/fx2.mk

=== examples/debugdevice_full_duplex/Makefile ===
FX2LIBDIR=../../
BASENAME = debugdev
SOURCES=debugdev.c
A51_SOURCES=dscr.a51
PID=0x1004
include $(FX2LIBDIR)lib/fx2.mk

CXX=g++
HOSTCC=gcc
CXXFLAGS=-Wall -Wextra -O2 -ggdb
HOSTCFLAGS=-Wall -Wextra -O2 -ggdb

all: test terminal build/debugdev.ihx

download: build/$(BASENAME).ihx
	  ./download.sh $<

terminal:	terminal.c
	$(HOSTCC) $(HOSTCFLAGS) -o $@ $< -lusb-1.0

%:		%.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< -lusb-1.0

=== examples/eeprom/Makefile ===
DIRS=	firmware
     
.PHONY: dirs $(DIRS) clean
     
dirs: $(DIRS)
clean: $(DIRS)
     
$(DIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== examples/i2c/Makefile ===
FX2LIBDIR=../..
BASENAME = i2c
SOURCES=i2c.c
DSCR_AREA=
INT2JT=
include $(FX2LIBDIR)/lib/fx2.mk

=== examples/lights/Makefile ===
FX2LIBDIR=../..
BASENAME = lights
SOURCES=lights.c
DSCR_AREA=
INT2JT=
include $(FX2LIBDIR)/lib/fx2.mk

=== debian/changelog ===
hdmi2usb-fx2-firmware (0.0.0~git20151225-6) unstable; urgency=medium

  * Upload to unstable. (Closes: #1059758)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 31 Dec 2023 10:30:15 -0400

hdmi2usb-fx2-firmware (0.0.0~git20151225-5) experimental; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Stefano Rivera ]
  * Upload to experimental for /usr move.
  * Move firmware to /usr/lib/firmware.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 15:16:04 +0000

hdmi2usb-fx2-firmware (0.0.0~git20151225-4) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + hdmi2usb-fx2-firmware: Add Multi-Arch: foreign.

  [ Stefano Rivera ]
  * Clean properly. (Closes: #1044358)
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.
  * Build orig tarball with uscan.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Aug 2023 20:57:31 +0200

hdmi2usb-fx2-firmware (0.0.0~git20151225-3) unstable; urgency=medium

  * Migrate from sdcclib to sdar, fixing FTBFS with sdcc 3.9.
    (Closes: #963348)
  * Bump copyright years.
  * Bump debhelper compat level to 12.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 27 Jun 2020 16:28:37 -0700

hdmi2usb-fx2-firmware (0.0.0~git20151225-2) unstable; urgency=medium

  * Migrate VCS to Salsa.
  * Bump Standards-Version to 4.2.0, no changes needed.
  * Change putchar() & getchar() prototypes to match sdcc. (Closes: #906363)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Aug 2018 11:17:16 -0700

hdmi2usb-fx2-firmware (0.0.0~git20151225-1) unstable; urgency=low

  * New upstream release (different git branch)
    - Should actually build a working uart firmware for the opsis.
      (Closes: #855548)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 19 Feb 2017 17:20:23 -0800

hdmi2usb-fx2-firmware (0.0.0~git20151128-1) unstable; urgency=low

  * Initial upload. (Closes: #796769)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 28 Nov 2016 23:35:19 -0800

=== debian/control ===
Source: hdmi2usb-fx2-firmware
Maintainer: Stefano Rivera <stefanor@debian.org>
Section: video
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-exec, libusb-1.0-0-dev, sdcc
Standards-Version: 4.6.2
Homepage: https://github.com/mithro/fx2lib/tree/cdc-usb-serialno-from-eeprom
Vcs-Git: https://salsa.debian.org/debian/hdmi2usb-fx2-firmware.git
Vcs-Browser: https://salsa.debian.org/debian/hdmi2usb-fx2-firmware
Rules-Requires-Root: no

Package: hdmi2usb-fx2-firmware
Architecture: all
Depends: ${misc:Depends}
Suggests: fxload
Multi-Arch: foreign
Description: FX2 firmware for hdmi2usb board development
 This package contains the FX2 firmware for several modes of the Numato Opsis
 board's USB interface.
 .
 It is used for flashing updates to the board.

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0.0~git%cd" \
 https://github.com/mithro/fx2lib.git \
 heads/opsis-uart-with-eeprom-serialno
